"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logging_1 = require("./logging");
const config_1 = require("./config");
const http_1 = require("./http");
const service_1 = require("./service");
/**
 * Create the microservice
 */
async function create(config, options) {
    const logger = logging_1.getLogger(options);
    const mergedConfig = await config_1.getConfig(config);
    const service = service_1.createService(mergedConfig.mqtt, mergedConfig.service, logger);
    if (mergedConfig.http.port) {
        http_1.startHttpServer(parseInt(String(mergedConfig.http.port)), service);
    }
    return service;
}
exports.create = create;
//# sourceMappingURL=index.js.map